Cloud Alerts

List alerts

get/triggers/

View all your Cloud Alerts and the current status of each one.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Query parameters

project_id?integer | null

Filter by project ID

status?TriggerStatus | null

Filter by status

Value in"enabled""disabled""triggered""resolved"

Responses

Successful Response

application/json

array<TriggerListOut>

id*string
project_id*integer
name*string
description*string | null
target_type*TriggerTargetType
Value in"vps""baremetal""availability_group""object_storage_bucket""organization"
target_id*string
target_name?string | null
metric_type*TriggerMetricType
Value in"cpu""ram""disk""network_in""network_out""storage_size_gb""storage_egress_gb_month""storage_error_rate_5xx""storage_error_rate_403""storage_cost_month"
operator*TriggerOperator
Value in"gt""lt""gte""lte""eq"
threshold*number
status*TriggerStatus
Value in"enabled""disabled""triggered""resolved"
actions_count?integer
Default0
created_at*string
Formatdate-time